package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.andon.bean.MesArea;
import io.swagger.annotations.ApiParam;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;

public class SysOrganizeModel implements Serializable {

    private static final long serialVersionUID = -8218859255737680832L;

    @Transient
    @ApiParam(value ="父节点")
    private Long parentId;

    @Transient
    @ApiParam(value ="名称")
    private String name;

    @Transient
    @ApiParam(value ="子集列表")
    private List<MesArea> childTreeList;

    public List<MesArea> getChildTreeList() {
        return childTreeList;
    }

    public void setChildTreeList(List<MesArea> childTreeList) {
        this.childTreeList = childTreeList;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
